Bug 171603 - [NEW PORT] games/py27-dcross: Blocks fall from the top and fly in from the side settling in a area
Summary: [NEW PORT] games/py27-dcross: Blocks fall from the top and fly in from the si...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-13 12:20 UTC by nemysis
Modified: 2013-12-17 13:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (3.39 KB, text/plain)
2012-09-13 12:20 UTC, nemysis
no flags Details
dcross.shar (3.29 KB, application/x-shar)
2012-10-02 12:56 UTC, nemysis
no flags Details
dcross.shar (3.26 KB, application/x-shar)
2012-10-11 03:27 UTC, nemysis
no flags Details
dcross.shar (5.54 KB, application/x-shar)
2012-11-05 16:34 UTC, nemysis
no flags Details
dcross.shar (5.50 KB, application/x-shar)
2012-12-07 17:03 UTC, nemysis
no flags Details
dcross.shar (5.69 KB, application/x-shar)
2013-02-15 10:56 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-13 12:20:02 UTC
Unlike your common unilateral falling block games, 'Double Cross' implements
a bidirectional paradigm expanding the genre in both dimension and difficulty.

Blocks fall from the top and fly in from the side settling in a joined
"play area".  Deletions occur when rows of ten blocks are completed.
A horizontal row of 10 will cause the blocks to fall down, and a vertical row
of 10 will cause the blocks to "fall" to the right.
If a vertical row is completed during a vertical drop or a horizontal row is
completed during a horizontal drop the corresponding deletion will not occur
until the next turn.  This can and will lead to non-intuitive results.
Focus on the vertical alone and you will die from horizontal negligence and
vice versa.

WWW: https://code.google.com/p/double-cross/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
WARN: Makefile: [42]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: Makefile: [11]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.


WARN: Makefile: [42] because is used

DESKTOP_ENTRIES=...false


WARN: Makefile: [11]

DIST_SUBDIR=    python


Build log RedPorts

https://redports.org/buildarchive/20120913081556-64107/
Comment 1 nemysis 2012-10-02 12:56:24 UTC
Changed to

DESKTOP_ENTRIES="Double Cross" "${COMMENT}" "${PORTNAME}_48.png" \
                "${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
Comment 2 nemysis 2012-11-05 16:34:17 UTC
Removed PORTDATA= *

Added

INSTALLS_ICONS= yes
ICON_SIZES=     32x32 48x48 64x64 72x72 96x96

post-install:
.for s in ${ICON_SIZES}
        ${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
        ${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
                ${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
.endfor
        ${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps



pkg-plist
Comment 3 nemysis 2012-12-07 17:03:22 UTC
Removed
PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
Comment 4 nemysis 2013-02-15 10:56:09 UTC
Changed:
DESKTOP_ENTRIES=
@-update-desktop-database
Comment 5 Martin Wilke freebsd_committer 2013-08-14 10:23:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 6 Rusmir Dusko freebsd_committer 2013-12-17 12:59:18 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 7 dfilter service freebsd_committer 2013-12-17 13:01:26 UTC
Author: nemysis
Date: Tue Dec 17 13:01:12 2013
New Revision: 336720
URL: http://svnweb.freebsd.org/changeset/ports/336720

Log:
  Unlike your common unilateral falling block games, 'Double Cross' implements
  a bidirectional paradigm expanding the genre in both dimension and difficulty.
  
  Blocks fall from the top and fly in from the side settling in a joined
  "play area". Deletions occur when rows of ten blocks are completed.
  A horizontal row of 10 will cause the blocks to fall down, and a vertical row
  of 10 will cause the blocks to "fall" to the right.
  If a vertical row is completed during a vertical drop or a horizontal row is
  completed during a horizontal drop the corresponding deletion will not occur
  until the next turn. This can and will lead to non-intuitive results.
  Focus on the vertical alone and you will die from horizontal negligence and
  vice versa.
  
  WWW: https://code.google.com/p/double-cross/
  
  PR:		ports/171603
  Submitted by:	nemysis (self)
  Approved by:	pawel (mentor)

Added:
  head/games/dcross/
  head/games/dcross/Makefile   (contents, props changed)
  head/games/dcross/distinfo   (contents, props changed)
  head/games/dcross/files/
  head/games/dcross/files/dcross.in   (contents, props changed)
  head/games/dcross/pkg-descr   (contents, props changed)
  head/games/dcross/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Tue Dec 17 12:26:27 2013	(r336719)
+++ head/games/Makefile	Tue Dec 17 13:01:12 2013	(r336720)
@@ -183,6 +183,7 @@
     SUBDIR += dangerdeep
     SUBDIR += dangerdeep-data
     SUBDIR += darkplaces
+    SUBDIR += dcross
     SUBDIR += deal
     SUBDIR += defendguin
     SUBDIR += deng

Added: head/games/dcross/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/dcross/Makefile	Tue Dec 17 13:01:12 2013	(r336720)
@@ -0,0 +1,55 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	dcross
+PORTVERSION=	2.0
+CATEGORIES=	games python
+MASTER_SITES=	GOOGLE_CODE \
+		SF/nemysisfreebsdp/games/:icons
+PROJECTHOST=	double-cross
+DISTFILES=	${PORTNAME}_${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}_icons${EXTRACT_SUFX}:icons
+DIST_SUBDIR=	python
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Unconventional falling block game
+
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	${PYGAME}
+
+WRKSRC=		${WRKDIR}/${PORTNAME}_${PORTVERSION}/
+
+USE_ZIP=	yes
+USES=		dos2unix
+DOS2UNIX_REGEX=	.*.[^p][^n][^g]$
+DOS2UNIX_FILES=	*.pyw
+USE_PYTHON=	yes
+
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+
+SUB_FILES=	${PORTNAME}
+
+DESKTOP_ENTRIES="Double Cross" "" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" ""
+
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+
+do-install:
+	@${REINPLACE_CMD} -e 's|%%PYTHON_CMD%%|${PYTHON_CMD}|' \
+		${WRKDIR}/${PORTNAME}
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${DATADIR})
+
+.for s in ${ICON_SIZES}
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/icons/hicolor/${s}/apps/
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
+		${STAGEDIR}${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
+.endfor
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+.include <bsd.port.mk>

Added: head/games/dcross/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/dcross/distinfo	Tue Dec 17 13:01:12 2013	(r336720)
@@ -0,0 +1,4 @@
+SHA256 (python/dcross_2.0.zip) = 57ce35a0b41dda365c976bf5ff671785c975ebf842a3609be3d53b74a0a6bfa8
+SIZE (python/dcross_2.0.zip) = 28543733
+SHA256 (python/dcross_icons.zip) = 8501803fedea59dc897c83a332e0c5308c8bb6db73d82d5160c994701aee9edb
+SIZE (python/dcross_icons.zip) = 40422

Added: head/games/dcross/files/dcross.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/dcross/files/dcross.in	Tue Dec 17 13:01:12 2013	(r336720)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+cd "%%DATADIR%%"
+exec %%PYTHON_CMD%% ./double-cross.pyw "${@}"

Added: head/games/dcross/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/dcross/pkg-descr	Tue Dec 17 13:01:12 2013	(r336720)
@@ -0,0 +1,14 @@
+Unlike your common unilateral falling block games, 'Double Cross' implements
+a bidirectional paradigm expanding the genre in both dimension and difficulty.
+
+Blocks fall from the top and fly in from the side settling in a joined
+"play area". Deletions occur when rows of ten blocks are completed.
+A horizontal row of 10 will cause the blocks to fall down, and a vertical row
+of 10 will cause the blocks to "fall" to the right.
+If a vertical row is completed during a vertical drop or a horizontal row is
+completed during a horizontal drop the corresponding deletion will not occur
+until the next turn. This can and will lead to non-intuitive results.
+Focus on the vertical alone and you will die from horizontal negligence and
+vice versa.
+
+WWW: https://code.google.com/p/double-cross/

Added: head/games/dcross/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/dcross/pkg-plist	Tue Dec 17 13:01:12 2013	(r336720)
@@ -0,0 +1,85 @@
+bin/dcross
+%%DATADIR%%/data/__init__.py
+%%DATADIR%%/data/__init__.pyc
+%%DATADIR%%/data/__init__.pyo
+%%DATADIR%%/data/blocks.py
+%%DATADIR%%/data/blocks.pyc
+%%DATADIR%%/data/blocks.pyo
+%%DATADIR%%/data/game.py
+%%DATADIR%%/data/game.pyc
+%%DATADIR%%/data/game.pyo
+%%DATADIR%%/data/highs.dat
+%%DATADIR%%/data/highscore.py
+%%DATADIR%%/data/highscore.pyc
+%%DATADIR%%/data/highscore.pyo
+%%DATADIR%%/data/keymap.py
+%%DATADIR%%/data/keymap.pyc
+%%DATADIR%%/data/keymap.pyo
+%%DATADIR%%/data/loser.py
+%%DATADIR%%/data/loser.pyc
+%%DATADIR%%/data/loser.pyo
+%%DATADIR%%/data/main.py
+%%DATADIR%%/data/main.pyc
+%%DATADIR%%/data/main.pyo
+%%DATADIR%%/data/menu.py
+%%DATADIR%%/data/menu.pyc
+%%DATADIR%%/data/menu.pyo
+%%DATADIR%%/data/playcontrols.dat
+%%DATADIR%%/data/reset.py
+%%DATADIR%%/data/reset.pyc
+%%DATADIR%%/data/reset.pyo
+%%DATADIR%%/data/setup.py
+%%DATADIR%%/data/setup.pyc
+%%DATADIR%%/data/setup.pyo
+%%DATADIR%%/data/title.py
+%%DATADIR%%/data/title.pyc
+%%DATADIR%%/data/title.pyo
+%%DATADIR%%/data/tools.py
+%%DATADIR%%/data/tools.pyc
+%%DATADIR%%/data/tools.pyo
+%%DATADIR%%/double-cross.pyw
+%%DATADIR%%/fonts/arial.ttf
+%%DATADIR%%/fonts/impact.ttf
+%%DATADIR%%/fonts/wadim_giant.ttf
+%%DATADIR%%/fonts/wadimi.ttf
+%%DATADIR%%/graphics/alphagrid.png
+%%DATADIR%%/graphics/base.png
+%%DATADIR%%/graphics/brick.png
+%%DATADIR%%/graphics/cell_deletion1.png
+%%DATADIR%%/graphics/cell_deletion2.png
+%%DATADIR%%/graphics/controls.png
+%%DATADIR%%/graphics/curt.png
+%%DATADIR%%/graphics/dc_icon.png
+%%DATADIR%%/graphics/donote.png
+%%DATADIR%%/graphics/flipper_h.png
+%%DATADIR%%/graphics/komrade.png
+%%DATADIR%%/graphics/logo.png
+%%DATADIR%%/graphics/nekey.png
+%%DATADIR%%/graphics/note.png
+%%DATADIR%%/graphics/scorebg.png
+%%DATADIR%%/graphics/shade.png
+%%DATADIR%%/graphics/strip.png
+%%DATADIR%%/graphics/title1.png
+%%DATADIR%%/graphics/title2.png
+%%DATADIR%%/sound/effects/blipshort1.wav
+%%DATADIR%%/sound/effects/chimed.wav
+%%DATADIR%%/sound/effects/explosion.wav
+%%DATADIR%%/sound/effects/lev.wav
+%%DATADIR%%/sound/effects/line.wav
+%%DATADIR%%/sound/effects/thud.wav
+%%DATADIR%%/sound/music/Kalinka.mp3
+%%DATADIR%%/sound/music/Katyusha.mp3
+%%DATADIR%%/sound/music/Korobelniki.mp3
+share/icons/hicolor/32x32/apps/dcross.png
+share/icons/hicolor/48x48/apps/dcross.png
+share/icons/hicolor/64x64/apps/dcross.png
+share/icons/hicolor/72x72/apps/dcross.png
+share/icons/hicolor/96x96/apps/dcross.png
+share/pixmaps/dcross.png
+@dirrm %%DATADIR%%/sound/music
+@dirrm %%DATADIR%%/sound/effects
+@dirrm %%DATADIR%%/sound
+@dirrm %%DATADIR%%/graphics
+@dirrm %%DATADIR%%/fonts
+@dirrm %%DATADIR%%/data
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"